%global momorel 1

Name:           orca
Summary:        screen reader for people with visual impairments
Version:        2.22.3
Release: %{momorel}m%{?dist}
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.gnome.org/projects/orca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq:    glib2-devel >= 2.16.3
BuildPrereq:    ORBit2-devel >= 2.14.12
BuildPrereq:    at-spi-devel >= 1.22.1
BuildPrereq:    libbonobo-devel >= 2.22.0
BuildPrereq:    python
BuildPrereq:    pyorbit
BuildPrereq:    pygtk2
BuildPrereq:    gnome-python2 >= 2.22.0
BuildPrereq:    gnome-speech-devel >= 0.4.19
BuildPrereq:    gnome-mag-devel >= 0.15.0
Prereq: gtk2-common

%description
Orca a scriptable screen reader for people with visual impairments.
To read more about Orca, please refer to the Orca documentation series
available in the ./docs/doc-set directory and also the Orca WIKI at
http://live.gnome.org/Orca.

%prep
%setup -q

%build
%configure --enable-pydoc \
%make

%check
make check

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

desktop-file-install --vendor="" --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --add-only-show-in GNOME \
    --remove-category Application \
    %{buildroot}%{_datadir}/applications/*.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor 2> /dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/python2.5/site-packages/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/orca.*
%{_mandir}/man1/%{name}.1.*

%changelog
* Tue Jul  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-2m)
- add Prereq: gtk2-common

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Mon Mar 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Mon Oct 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Tue Oct  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0.1-1m)
- update to 2.20.0.1

* Sun Sep 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-3m)
- rebuild against python-2.5

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-2m)
- add %%post
- add URL:
- add pixmap

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-1m)
- initial build 0.2.8
